Intel Fixes High-Severity Flaws in NUC, Discontinues Buggy Compute Module

Intel fixed nine high- and medium-severity flaws in its April security update, which could enable privilege escalation and denial of service attacks.

2 thoughts on “Intel Fixes High-Severity Flaws in NUC, Discontinues Buggy Compute Module

Leave a Reply

Your email address will not be published.